function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function Door_GoSeaPath()
    if(FLJ("HeroBack")) then
        PRI()
        MS4("The path beyond this door") 
        CAT("\nis blocked by rocks.")
        CAT("\nCannot open...")NOD()
    else
        PRI()MM0()SOU("CS_011_door")ANP("Door_GoSeaPath",0,1)FAO(1)TRA("CS_seapath","E0093",36,10)
    end
end

function GoSoapCastle()
    PRI()FAO(3)TRA("CS_soapcastle","E0091",47,11,0,6)
end

function SomeWhereTalking()
    KEY()
    HMC()
    FAI(0)
    WAI(32)
    for i=0,5,1 do
        SOU("CS_023_thud")
        WAI(16)
    end
    WAI(64)
    SOU("CS_056_splash")
    WAI(32)
    SOU("CS_056_splash")
    WAI(64)
    for i=0,5,1 do
        SOU("CS_023_thud")
        WAI(16)
    end
    FAO(0)
    SMC()
    TRA("CS_seapath","LoadPos",17,10)
end

function Arowana()
    PRI()
    if(WET()) then
        MS4("The fish is still thrashing") 
        CAT("\nabout in the water,")NOD()
        CAT("\nmaking it difficult to catch.")NOD()
    else
        KEY()
        MS4("I've never seen a fish this big!")NOD()
        CAT("\nThis must be the biggest catch of my life!")NOD()CLR()CLO()
        AMC("show_sweat",GLR(PLY()),PLY())
        WAI(128)
        MS4("\nIt's so heavy!")NOD()CLO()
        WAI(32)
        FAO(0)
        AMC("hide_sweat",GLR(PLY()),PLY())
        TRA("CS_seapath","ArowanaWake",0,0)
    end
end

function IronheadDeadAni()
    KEY()
    CMU("CS_Vivi")
    SNP("CS_soapwalker_animate",20,26,1,"mainLayer","Tala1")
    SNP("CS_redhead_animate",27,32,0,"mainLayer","Ironhead1")
    ANP("Tala1","look_down")
    ANP("Ironhead1","slow")
    FAI(3)
    WAI(32)
    SNP("CS_puu_animate",7,26,1,"mainLayer","Puu1")
    WAI(32)
    ANP("Tala1","look_normal",0)
    ANP("Tala1","normal",0)
    WAI(32)
    FAC("soapwalker_normal")MS3("\nHey brother, you're here~")NOD()CLO()
    ANP("Puu1","walk",1)
    WAI(4*16)
    ANP("Tala1","look_down")
    WAI(4*16)
    ANP("Puu1","normal")
    WAI(16)
    FAC("puu_normal")MS3("\nWhat happened...")NOD()CLR()
    FAC("soapwalker_normal")CAT("I made it just in time,")NOD()
    CAT("\nand managed to trick the boss") 
    CAT("\nwith Ironhead.")NOD()CLR()
    CAT("\nBut...")NOD()CLR()
    FAC("puu_normal")CAT("\nBut what?")NOD()CLO()
    ANP("Ironhead1","die")
    WAI(32)
    ANP("Tala1","normal",1)
    WAI(128)
    FAC("soapwalker_normal")MS3("\nHe's belly up now...")NOD()CLR()
    FAC("puu_normal")CAT("\nHey, why did you kill it?")NOD()CLR()
    FAC("soapwalker_normal")CAT("I had no choice,")NOD()
    CAT("\nI had to put it on the teleporter") 
    CAT("\nto cook it...")NOD()CLR()
    CAT("If I hadn't done that,")NOD()
    CAT("\nyou'd be the one belly up now...")NOD()CLR()
    FAC("puu_normal")CAT("\nI get it...")NOD()CLR()
    ANP("Tala1","normal",0)
    FAC("soapwalker_normal")CAT("\nSo what do we do with Ironhead now?")NOD()CLR()
    FAC("puu_normal")CAT("\nWe'll have to find a place to bury it...")NOD()CLR()
    FAC("soapwalker_normal")CAT("Don't you want to braise it") 
    CAT("\nand see how it tastes?")NOD()
    CAT("\nThough technically,") 
    CAT("\nhe's already 'red-cooked'.")NOD()CLR()
    ANP("Puu1","normal",0)
    FAC("puu_normal")CAT("You're sick,")NOD()
    CAT("\nif you want to eat it that badly,")NOD()
    CAT("\nyou deal with it.")NOD()CLR()
    FAC("soapwalker_normal")CAT("\nI was just kidding...")NOD()CLO()
    FAO(0)
    TRA("CS_soapcastle_jail","PreparingToExplore",8,12)
end